Skip to main content
PATCH
/
secrets
/
{name}
Rotate a secret's value
curl --request PATCH \
  --url https://api.superserve.ai/secrets/{name} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "value": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "auth_config": {},
  "hosts": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "provider_shortcut": "<string>",
  "last_used_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

name
string
required

Secret name as set at creation.

Body

application/json
value
string
required

New cleartext value to encrypt and store.

Maximum string length: 8192

Response

Secret updated

id
string<uuid>
required
name
string
required
auth_type
enum<string>
required

per_host indicates a multi-rule secret; the resolved rules are in auth_config.per_host.

Available options:
bearer,
basic,
api-key,
custom,
per_host
auth_config
object
required

Resolved auth scheme details (no cleartext value).

hosts
string[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
provider_shortcut
string | null

Provider shortcut used at creation, if any.

last_used_at
string<date-time> | null

Timestamp of the most recent egress that used this secret.